#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Module-Install
Version		:	1.19
Release		:	17.2.0.rel%{?dist}
Summary		:	Module::Install configuration system
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl(YAML::Tiny)

Requires	:	perl

#-----------------------------------------------------------------------------
%description
This module first checks whether the inc/.author directory
exists, and removes the whole inc/ directory if it does,
so the module author always get a fresh inc every time they
run Makefile.PL. Next, it unshifts inc into @INC, then loads
Module::Install from there.

Below is an explanation of the reason for using a loader module:

The original implementation of CPAN::MakeMaker introduces
subtle problems for distributions ending with CPAN (e.g.
CPAN.pm, WAIT::Format::CPAN), because its placement in
./CPAN/ duplicates the real libraries that will get installed;
also, the directory name ./CPAN/ may confuse users.

On the other hand, putting included, for-build-time-only
libraries in ./inc/ is a normal practice, and there is little
chance that a CPAN distribution will be called Something::inc,
so it's much safer to use.

Also, it allows for other helper modules like Module::AutoInstall
to reside also in inc/, and to make use of them.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/inc/Module/Install.pm
%{_datadir}/perl5/core_perl/inc/Module/Install/DSL.pm
%{_datadir}/perl5/core_perl/Module/*.pm
%{_datadir}/perl5/core_perl/Module/Install.pod
%{_datadir}/perl5/core_perl/Module/Install/*.pm
%{_datadir}/perl5/core_perl/Module/Install/*.pod
%{_datadir}/perl5/core_perl/Module/Install/Admin/*.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
